<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>MenuItem</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MenuItem";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MenuItem.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">tools</a></div>
<h2 title="Class MenuItem" class="title">Class MenuItem</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>tools.MenuItem</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">MenuItem</span>
extends java.lang.Object</pre>
<div class="block">Theme park application.
 Each of the options of a menu.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0 - 01 mar 2019</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jose Antonio Cuello Principal</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#caption">caption</a></span></code></th>
<td class="colLast">
<div class="block">Text to visualize</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="MenuItem.html" title="class in tools">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#childrenList">childrenList</a></span></code></th>
<td class="colLast">
<div class="block">Next menu item level</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../controller/Controller.html" title="class in controller">Controller</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#controller">controller</a></span></code></th>
<td class="colLast">
<div class="block">Controller that will run</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#marginTop">marginTop</a></span></code></th>
<td class="colLast">
<div class="block">Allows to establish a blank line before printing the menu option</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_ITEM_CUSTOMEXIT">MENU_ITEM_CUSTOMEXIT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#option">option</a></span></code></th>
<td class="colLast">
<div class="block">Numeric option that the user must enter to select the option</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.lang.String,int,controller.Controller)">MenuItem</a></span>&#8203;(java.lang.String&nbsp;caption,
        int&nbsp;option,
        <a href="../controller/Controller.html" title="class in controller">Controller</a>&nbsp;controller)</code></th>
<td class="colLast">
<div class="block">Constructor</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code><a href="MenuItem.html" title="class in tools">MenuItem</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addChildren(java.lang.String,int)">addChildren</a></span>&#8203;(java.lang.String&nbsp;caption,
           int&nbsp;option)</code></th>
<td class="colLast">
<div class="block">Add an item to the menu</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code><a href="MenuItem.html" title="class in tools">MenuItem</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addChildren(java.lang.String,int,boolean)">addChildren</a></span>&#8203;(java.lang.String&nbsp;caption,
           int&nbsp;option,
           boolean&nbsp;withMargin)</code></th>
<td class="colLast">
<div class="block">Add an item to the menu with top margin</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCaption()">getCaption</a></span>()</code></th>
<td class="colLast">
<div class="block">Get text to visualize</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="MenuItem.html" title="class in tools">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getChildrenList()">getChildrenList</a></span>()</code></th>
<td class="colLast">
<div class="block">Get children menu items</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code><a href="../controller/Controller.html" title="class in controller">Controller</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getController()">getController</a></span>()</code></th>
<td class="colLast">
<div class="block">Get controller that will run</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOption()">getOption</a></span>()</code></th>
<td class="colLast">
<div class="block">Get option that the user must enter to select the option</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#hasChildren()">hasChildren</a></span>()</code></th>
<td class="colLast">
<div class="block">Indicates if the item has children</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#hasMarginTop()">hasMarginTop</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns if a previous margin is established</div>
</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setMarginTop(boolean)">setMarginTop</a></span>&#8203;(boolean&nbsp;marginTop)</code></th>
<td class="colLast">
<div class="block">Set the previous margin</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="MENU_ITEM_CUSTOMEXIT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_ITEM_CUSTOMEXIT</h4>
<pre>public static final&nbsp;int MENU_ITEM_CUSTOMEXIT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#tools.MenuItem.MENU_ITEM_CUSTOMEXIT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="caption">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caption</h4>
<pre>private final&nbsp;java.lang.String caption</pre>
<div class="block">Text to visualize</div>
</li>
</ul>
<a id="childrenList">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>childrenList</h4>
<pre>private final&nbsp;java.util.ArrayList&lt;<a href="MenuItem.html" title="class in tools">MenuItem</a>&gt; childrenList</pre>
<div class="block">Next menu item level</div>
</li>
</ul>
<a id="controller">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>controller</h4>
<pre>private final&nbsp;<a href="../controller/Controller.html" title="class in controller">Controller</a> controller</pre>
<div class="block">Controller that will run</div>
</li>
</ul>
<a id="marginTop">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>marginTop</h4>
<pre>private&nbsp;boolean marginTop</pre>
<div class="block">Allows to establish a blank line before printing the menu option</div>
</li>
</ul>
<a id="option">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>option</h4>
<pre>private final&nbsp;int option</pre>
<div class="block">Numeric option that the user must enter to select the option</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(java.lang.String,int,controller.Controller)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MenuItem</h4>
<pre>public&nbsp;MenuItem&#8203;(java.lang.String&nbsp;caption,
                int&nbsp;option,
                <a href="../controller/Controller.html" title="class in controller">Controller</a>&nbsp;controller)</pre>
<div class="block">Constructor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>caption</code> - </dd>
<dd><code>option</code> - </dd>
<dd><code>controller</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="addChildren(java.lang.String,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addChildren</h4>
<pre class="methodSignature">public&nbsp;<a href="MenuItem.html" title="class in tools">MenuItem</a>&nbsp;addChildren&#8203;(java.lang.String&nbsp;caption,
                            int&nbsp;option)</pre>
<div class="block">Add an item to the menu</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>caption</code> - </dd>
<dd><code>option</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="addChildren(java.lang.String,int,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addChildren</h4>
<pre class="methodSignature">public&nbsp;<a href="MenuItem.html" title="class in tools">MenuItem</a>&nbsp;addChildren&#8203;(java.lang.String&nbsp;caption,
                            int&nbsp;option,
                            boolean&nbsp;withMargin)</pre>
<div class="block">Add an item to the menu with top margin</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>caption</code> - </dd>
<dd><code>option</code> - </dd>
<dd><code>withMargin</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="getCaption()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCaption</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getCaption()</pre>
<div class="block">Get text to visualize</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="getChildrenList()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChildrenList</h4>
<pre class="methodSignature">public&nbsp;java.util.ArrayList&lt;<a href="MenuItem.html" title="class in tools">MenuItem</a>&gt;&nbsp;getChildrenList()</pre>
<div class="block">Get children menu items</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getController()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getController</h4>
<pre class="methodSignature">public&nbsp;<a href="../controller/Controller.html" title="class in controller">Controller</a>&nbsp;getController()</pre>
<div class="block">Get controller that will run</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Controller</dd>
</dl>
</li>
</ul>
<a id="getOption()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOption</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getOption()</pre>
<div class="block">Get option that the user must enter to select the option</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="hasChildren()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasChildren</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;hasChildren()</pre>
<div class="block">Indicates if the item has children</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="hasMarginTop()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasMarginTop</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;hasMarginTop()</pre>
<div class="block">Returns if a previous margin is established</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="setMarginTop(boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setMarginTop</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setMarginTop&#8203;(boolean&nbsp;marginTop)</pre>
<div class="block">Set the previous margin</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>marginTop</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MenuItem.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
